<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myPartyDocumentLabel" jhiTranslate="mpmApp.partyDocument.home.createOrEditLabel">Create or edit a Party Document</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!partyDocument.idDocument">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="partyDocument.idDocument" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label mandatory" jhiTranslate="mpmApp.partyDocument.content" for="field_content">Content</label>
            <div>
                <img [src]="'data:' + partyDocument.contentContentType + ';base64,' + partyDocument.content" style="max-height: 100px;" *ngIf="partyDocument.content" alt="partyDocument image"/>
                <div *ngIf="partyDocument.content" class="form-text text-danger clearfix">
                    <span class="pull-left">{{partyDocument.contentContentType}}, {{byteSize(partyDocument.content)}}</span>
                    <button type="button" (click)="clearInputImage('content', 'contentContentType', 'fileImage')" class="btn btn-secondary btn-xs pull-right">
                        <span class="fa fa-times"></span>
                    </button>
                </div>
                <input type="file" id="file_content" (change)="setFileData($event, partyDocument, 'content', true)" accept="image/*" jhiTranslate="entity.action.addimage"/>
                <div [hidden]="!isValidImage" class="text-danger">
                    {{'mpmApp.document.fileLimit' | translate}}
                </div>
                <div>
                    <small>max file size: {{maxFileSize | ByteSize}}</small>
                </div>
                <!--START INPUT UNTUK VALIDASI REQUIRED IMAGE-->
                <input type="text" style="display:none;" name="isInsertFile" [(ngModel)]="isInsertFile" required>
                <!--END INPUT UNTUK VALIDASI REQUIRED IMAGE-->
            </div>
            <input type="hidden" class="form-control" name="content" id="field_content"
                [(ngModel)]="partyDocument.content"  />
            <input type="hidden" class="form-control" name="contentContentType" id="field_contentContentType"
                [(ngModel)]="partyDocument.contentContentType" />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.partyDocument.note" for="field_note">Note</label>
            <input type="text" class="form-control" name="note" id="field_note"
                [(ngModel)]="partyDocument.note"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.partyDocument.dateCreate" for="field_dateCreate">Date Create</label>
            <div class="input-group">
                <p-calendar inputId="field_dateCreate" name="input_dateCreate" [(ngModel)]="partyDocument.dateCreate"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label mandatory" jhiTranslate="mpmApp.partyDocument.documentType" for="field_documentType">Document Type</label>
            <select class="form-control" id="field_documentType" name="documentType" [(ngModel)]="partyDocument.documentTypeId" required>
                <option [ngValue]="null">Please select document type</option>
                <option [ngValue]="documentTypeOption.idDocumentType" *ngFor="let documentTypeOption of documenttypes; trackBy: trackDocumentTypeById">{{documentTypeOption.description}}</option> 
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
